# Other Features

{% hint style="warning" %}
All of these features are available on desktop only.
{% endhint %}

### Custom Storage Location

When creating a Vault, it’s now possible to select the storage location on your hard drive. If your Vault has already been created, you can also change the location and retrieve the data from the network. To do so, first logout, then tap the settings wheel on the black login screen.

<figure><img src="../../.gitbook/assets/Custome Storage Location.gif" alt="" width="563"><figcaption></figcaption></figure>

{% hint style="danger" %}
Please be cautious when using local-only mode, as your data can only be transferred to a second device via peer-to-peer (P2P) connection.
{% endhint %}

#### External drives and cloud providers

To store your data on an external drive, you just need to mount the drive first, and then follow the steps from [#custom-storage-location](other-features.md#custom-storage-location "mention").

We don't recommend using cloud providers like Google Drive or iCloud since you might end up with sync conflicts / issues.

### Inline Latex

You can easily add mathematical notation right into your text by wrapping your formulas with `$` symbols, making it possible to include complex equations and formulas!

<figure><img src="../../.gitbook/assets/image (92).png" alt=""><figcaption></figcaption></figure>

### Simple Formulas&#x20;

You can count objects in the Grid view and perform simple math and aggregation functions with all types of properties.

<figure><img src="../../.gitbook/assets/image (2) (1) (1) (1).png" alt="" width="563"><figcaption></figcaption></figure>

### Embed Blocks

<figure><img src="../../.gitbook/assets/image (12).png" alt="" width="563"><figcaption></figcaption></figure>

Simply type /embed in the editor to pull up a menu of currently supported embeds.

Some examples include: Mermaid diagrams, Youtube videos, Miro boards, Google Maps, and several more.

Some file types can also be embedded: audio, video, image and pdf.

### Inline Queries / Collections

<figure><img src="../../.gitbook/assets/image (107).png" alt="" width="563"><figcaption></figcaption></figure>

We’ve added a new block type - inline query. You can create an inline query using command: `/inline`.\
Once created, select an existing query as a source, or create a new one. Any changes you make to the inline query icon, or name will be synced with the source set. Meanwhile, views will not synced, but copied, which means you can tweak views to your current needs without worrying that your source query will be impacted.
